%global momorel 2

Name: openais
Summary: The openais Standards-Based Cluster Framework executive and APIs
Version: 0.80.3
Release: %{momorel}m%{?dist}
License: BSD
Group: System Environment/Base
URL: http://developer.osdl.org/dev/openais/
Source0: http://developer.osdl.org/dev/openais/downloads/openais-%{version}/openais-%{version}.tar.gz
NoSource: 0
Patch0: openais-0.76-defaultconfig.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
ExclusiveArch: %{ix86} ppc x86_64 ppc64 ia64 s390 s390x
Requires: chkconfig
Requires(pre): shadow-utils
Requires(post): chkconfig
Requires(preun): chkconfig

%define ais_user_uid	39

%description 
This package contains the openais executive, openais service handlers,
default configuration files and init script.

%package devel
Summary: The openais Standards-Based Cluster Framework libraries
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the libraries and include files used to develop using
openais APIs.

%prep
%setup -q -n openais-%{version}
%patch0

%build
# -O3 required for performance reasons
# So we get proper debug output, for now we don't compile with O3
#CFLAGS="$(echo '%{optflags}' | sed -e 's/-O[0-9]*//') -O3"
CFLAGS="$(echo '%{optflags}') -D_GNU_SOURCE"
make CFLAGS="$CFLAGS"

%install
rm -rf --preserve-root %{buildroot}
make install DESTDIR=%{buildroot} STATICLIBS=NO
mkdir -p %{buildroot}%{_docdir}/%{name}-%{version}
mkdir -p %{buildroot}%{_initscriptdir}
install -m 644 CHANGELOG LICENSE SECURITY README.devmap README.amf \
	%{buildroot}%{_docdir}/%{name}-%{version}/
install -m 755 init/redhat %{buildroot}%{_initscriptdir}/openais
install -m 755 test/openais-cfgtool %{buildroot}%{_sbindir}

%clean
rm -rf --preserve-root %{buildroot}

%pre
# Add the "ais" user
/usr/sbin/useradd -c 'openais Standards Based Cluster Framework' \
	-u %{ais_user_uid} -s /sbin/nologin -r -d '/' ais 2> /dev/null || :

%post
/sbin/chkconfig --add openais || :
/sbin/ldconfig > /dev/null

%preun
if [ $1 -eq 0 ]; then
    %{_initscriptdir}/openais stop &>/dev/null || :
    /sbin/chkconfig --del openais || :
fi

%postun
[ "$1" -ge "1" ] && %{_initscriptdir}/openais condrestart &>/dev/null || :
/sbin/ldconfig > /dev/null

%files 
%defattr(-,root,root,-)
%doc %{_docdir}/%{name}-%{version}/LICENSE
%doc %{_docdir}/%{name}-%{version}/SECURITY
%doc %{_docdir}/%{name}-%{version}/README.amf
%{_sbindir}/aisexec
%{_sbindir}/ais-keygen
%{_sbindir}/openais-cfgtool
%dir /etc/ais
%config(noreplace) /etc/ais/openais.conf
%config(noreplace) /etc/ais/amf.conf
%config /etc/ld.so.conf.d/openais-*.conf
%{_initscriptdir}/openais
%dir %{_libexecdir}/lcrso
%{_libexecdir}/lcrso/aisparser.lcrso
%{_libexecdir}/lcrso/objdb.lcrso
%{_libexecdir}/lcrso/service_amf.lcrso
%{_libexecdir}/lcrso/service_cfg.lcrso
%{_libexecdir}/lcrso/service_ckpt.lcrso
%{_libexecdir}/lcrso/service_clm.lcrso
%{_libexecdir}/lcrso/service_cpg.lcrso
%{_libexecdir}/lcrso/service_evs.lcrso
%{_libexecdir}/lcrso/service_evt.lcrso
%{_libexecdir}/lcrso/service_lck.lcrso
%{_libexecdir}/lcrso/service_msg.lcrso
%{_libexecdir}/lcrso/vsf_ykd.lcrso
%dir %{_libdir}/openais
%{_libdir}/openais/libais.so*
%{_libdir}/openais/libcpg.so*
%{_libdir}/openais/libevs.so*
%{_libdir}/openais/libcfg.so*
%{_libdir}/openais/libSaAmf.so*
%{_libdir}/openais/libSaCkpt.so*
%{_libdir}/openais/libSaClm.so*
%{_libdir}/openais/libSaEvt.so*
%{_libdir}/openais/libSaLck.so*
%{_libdir}/openais/libSaMsg.so*
%{_libdir}/openais/libtotem_pg.so*
%{_mandir}/man8/openais_overview.8*
%{_mandir}/man8/cpg_overview.8*
%{_mandir}/man8/evs_overview.8*
%{_mandir}/man5/openais.conf.5*

%files devel
%defattr(-,root,root,-)
%dir %{_docdir}/%{name}-%{version}
%doc %{_docdir}/%{name}-%{version}/CHANGELOG
%doc %{_docdir}/%{name}-%{version}/README.devmap
%dir %{_includedir}/openais/
%{_includedir}/openais/cpg.h
%{_includedir}/openais/cfg.h
%{_includedir}/openais/evs.h
%{_includedir}/openais/saAis.h
%{_includedir}/openais/saAmf.h
%{_includedir}/openais/saCkpt.h
%{_includedir}/openais/saClm.h
%{_includedir}/openais/saEvt.h
%{_includedir}/openais/saLck.h
%{_includedir}/openais/saMsg.h
%dir %{_includedir}/openais/totem/
%{_includedir}/openais/totem/aispoll.h
%{_includedir}/openais/totem/totem.h
%{_includedir}/openais/totem/totemip.h
%{_includedir}/openais/totem/totempg.h
%dir %{_includedir}/openais/lcr/
%{_includedir}/openais/lcr/lcr_ckpt.h
%{_includedir}/openais/lcr/lcr_comp.h
%{_includedir}/openais/lcr/lcr_ifact.h
%dir %{_includedir}/openais/service
%{_includedir}/openais/service/config.h
%{_includedir}/openais/service/objdb.h
%{_includedir}/openais/service/print.h
%{_includedir}/openais/service/swab.h
%{_includedir}/openais/service/service.h
%{_includedir}/openais/service/timer.h
%{_mandir}/man3/cpg_context_get.3*
%{_mandir}/man3/cpg_context_set.3*
%{_mandir}/man3/cpg_dispatch.3*
%{_mandir}/man3/cpg_fd_get.3*
%{_mandir}/man3/cpg_finalize.3*
%{_mandir}/man3/cpg_initialize.3*
%{_mandir}/man3/cpg_join.3*
%{_mandir}/man3/cpg_leave.3*
%{_mandir}/man3/cpg_local_get.3*
%{_mandir}/man3/cpg_mcast_joined.3*
%{_mandir}/man3/cpg_membership_get.3*
%{_mandir}/man3/evs_dispatch.3*
%{_mandir}/man3/evs_fd_get.3*
%{_mandir}/man3/evs_finalize.3*
%{_mandir}/man3/evs_initialize.3*
%{_mandir}/man3/evs_join.3*
%{_mandir}/man3/evs_leave.3*
%{_mandir}/man3/evs_mcast_groups.3*
%{_mandir}/man3/evs_mcast_joined.3*
%{_mandir}/man3/evs_membership_get.3*

%changelog
* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.80.3-2m)
- rebuild against gcc43

* Mon Mar  3 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.80.3-1m)
- update 0.80.3

* Tue Jul 24 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.80.1-4m)
- modify Requires
- revise %%preun and %%postun

* Mon Jul 23 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.80.1-3m)
- move start up script from %%{_initrddir} to %%{_initscriptdir}

* Mon Jul 23 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.80.1-2m)
- add Requires: chkconfig

* Tue Feb 20 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.80.1-1m)
- initial commit. import from FC-devel

